SDL_AddGamepadMappingsFromFile(3)

NAME
SDL_AddGamepadMappingsFromFile - Load a set of gamepad mappings from a file.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AddGamepadMappingsFromFile(const char *file);

DESCRIPTION
You can call this function several times, if needed, to load different database files. If a new mapping is loaded for an already known gamepad GUID, the later version will overwrite the one currently loaded. Mappings not belonging to the current platform or with no platform field specified will be ignored (i.e. mappings for Linux will be ignored in Windows, etc).

FUNCTION PARAMETERS

file
    the mappings file to load

RETURN VALUE
Returns the number of mappings added or -1 on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AddGamepadMapping(3), SDL_AddGamepadMappingsFromIO(3), SDL_GetGamepadMapping(3), SDL_GetGamepadMappingForGUID(3)